# Uses of Class
net.sourceforge.jiu.codecs.InvalidImageIndexException

Packages that use InvalidImageIndexException
Package
Description
net.sourceforge.jiu.codecs

## Uses of InvalidImageIndexException in net.sourceforge.jiu.codecs

Methods in net.sourceforge.jiu.codecs that throw InvalidImageIndexException
Modifier and Type
Method
Description
`static PixelImage`
ImageLoader.`load(File file)`
Attempts to load an image from a file.
`static PixelImage`
ImageLoader.`load(File file, Vector listeners)`
Attempts to load an image from a file, notifying the argument progress listeners.
`static PixelImage`
ImageLoader.`load(String fileName)`
Load an image from a file given by its name.
`static PixelImage`
ImageLoader.`load(String fileName, Vector listeners)`
Attempts to load an image from the file with the given name, using the given list of progress listeners.
`static PixelImage`
ImageLoader.`loadToolkitImageUri(String uri)`